import axios from "axios";
import config from "@/request/config.js";
// import {ElMessage} from "element-plus";
// import {rejects} from "node:assert";
// import router from "@/router";

function request(options) {
    const instance = axios.create({...config})

    options = {...options, instance} // 使用创建的实例
    // 请求拦截器
    instance.interceptors.request.use(
        config => {
            // 处理请求前的逻辑...

            return config
        },
        error => {
            // 请求错误处理

            return Promise.reject(error)
        }
    )

    // 响应拦截器
    instance.interceptors.response.use(
        response => {
            // 处理响应数据

            return response
        },
        error => {
            // 处理响应错误

            return Promise.reject(error)
        }
    )

    return new Promise((resolve, reject) => {
        instance(options)
            .then(res => {
                resolve(res.data)
                // console.log(res.data)
            })
            .catch(err => {
                reject(err)
            })
    })
}

//
// // 调试信息
// const config = {
//     method: 'get',
//     baseURL: 'http://127.0.0.1:8000',
//     headers: {
//         'Content-Type': 'application/json;charset=UTF-8',
//         'Authorization': 'token 4e63b8854974c1fdac9deb891fd74dc145b53f85'
//     },
//     timeout: 10000,
//     withCredentials: true,
//     responseType: 'json',
// }
//
// const params = {ip: '', version: '33'}
// // const params = {ip: '172.16.3.112'}
// // const ip = '172.16.3.112'
// // const version = '11'
// request({
//     // url: `/update/cinema/search/ip/${ip}/version/${version}/`,
//     url: `update/cinema/search/`,
//     method: 'get',
//     params: params
// }).then(res => {
//     console.log(res)
// })

export default request
